Bug 979108 - When trying to install or update RHEV-Tools on a Windows guest, the attempt fails with "Upgrade of RHEV-Tools on the Guest should be performed only when running on RHEL 6 type Host (RHEV-H or RHEL). Upgrade aborted."
When trying to install or update RHEV-Tools on a Windows guest, the attempt f...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Windows Guest Tools (Show other bugs)
3.2.0
All Linux
urgent Severity urgent
: ---
: 3.3.0
Assigned To: Lev Veyde
Jiri Belka
integration
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 11:44 EDT by Allan Voss
Modified: 2015-09-22 09 EDT (History)
13 users (show)

See Also:
Fixed In Version: rhev-guest-tools-iso-3.2-11
Doc Type: Bug Fix
Doc Text:
In some rare cases the format of the temporary directory location, as returned by Windows OS, did not match the format expected by the installer. Consequently, the install or upgrade failed with a warning "Upgrade of RHEV-Tools on the Guest should be performed only when running on RHEL 6 type Host (RHEV-H or RHEL). Upgrade aborted." This update adds a code to handle these exceptional cases, so RHEV-Tools can be successfully installed or updated on Windows virtual machines.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 14:08:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot demonstrating error message (57.77 KB, image/png)
2013-06-27 11:44 EDT, Allan Voss
no flags Details

  None (edit)
Description Allan Voss 2013-06-27 11:44:36 EDT
Created attachment 766221 [details]
Screenshot demonstrating error message

Description of problem: When trying to install or update RHEV-Tools on a Windows guest, the attempt fails with "Upgrade of RHEV-Tools on the Guest should be performed only when running on RHEL 6 type Host (RHEV-H or RHEL). Upgrade aborted." Previous installations cannot be uninstalled, either

Version-Release number of selected component (if applicable):
3.2.8

How reproducible:
Unknown, but consistently in customer's environment

Steps to Reproduce:
1. Attach rhev guest tools ISO to Windows VM
2. Run RHEV-toolSetup.exe

Actual results:
Error message stating that guest should be running on RHEL 6 type host

Expected results:
Successful installation of tools

Additional info:
Hypervisor is Red Hat Enterprise Virtualization Hypervisor release 6.4 (20130528.0.el6_4). Customer says that error occurred with the tools in rhev 3.0 and 3.1, as well, and they worked around it by directly installing the .MSI
Comment 2 Mike Cao 2013-07-01 01:07:35 EDT
this should be RHEV-Tools-Guest-ISO bug ,move to RHEVM product ,correct me if I was wrong
Comment 3 Robert McSwain 2013-07-01 10:53:19 EDT
Customer has confirmed that this occurs with the following versions of Windows:

all windows -server- products
tested:
Windows
-server- 2003 
-server- 2003 64-bit
-server- 2008 R1 64-bit
-server- 2008 R2 64-bit

give this error

RHEL 6 server
no errors

Windows
-7 Pro- 64-bit
does not give the error. The tools install fine. Customer is using AMD based hypervisor
Comment 4 Lev Veyde 2013-07-02 04:14:03 EDT
Hi Allan & Robert,

Can you please provide us with the following information:

a) What is the output of running of the following commands in the command prompt window (cmd) ? :

  1) wmic bios
  2) wmic bios get Manufacturer

b) What is the command line used to start the VM itself - the output of "ps fauxww | grep qemu-kvm" on the VM host - for that specific VM ?

c) Does the client use localised (non US English) version of Windows ?

Thanks in advance,
Lev Veyde.
Comment 30 Jiri Belka 2013-07-25 09:47:21 EDT
ok, 3.2.12. I cannot reproduce, i tried to mangle %tmp% and %temp% for administrator user and the installation always passed successfully.
Comment 32 errata-xmlrpc 2013-07-31 14:08:43 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1122.html

Note You need to log in before you can comment on or make changes to this bug.